--- old/usr/src/cmd/hwdata/pci.ids	Thu Sep  4 21:12:19 2014
+++ new/usr/src/cmd/hwdata/pci.ids	Thu Sep  4 21:12:19 2014
@@ -1,8 +1,8 @@
 #
 #	List of PCI ID's
 #
-#	Version: 2014.01.13
-#	Date:    2014-01-13 03:15:01
+#	Version: 2014.09.04
+#	Date:    2014-09-04 03:15:01
 #
 #	Maintained by Martin Mares <mj@ucw.cz> and other volunteers from the
 #	PCI ID Project at http://pci-ids.ucw.cz/.
@@ -192,6 +192,7 @@
 	c000  Remote Insight Lights-Out Edition
 	f130  NetFlex-3/P ThunderLAN 1.0
 	f150  NetFlex-3/P ThunderLAN 2.3
+0e55  HaSoTec GmbH
 0eac  SHF Communication Technologies AG
 	0008  Ethernet Powerlink Managing Node 01
 0f62  Acrox Technologies Co., Ltd.
@@ -325,6 +326,7 @@
 		1000 9291  MegaRAID SAS 9286CV-8e
 		1000 9295  MegaRAID SAS 9286CV-8eCC
 		1014 040b  ServeRAID M5110 SAS/SATA Controller
+		1014 040c  ServeRAID M5120 SAS/SATA Controller
 		1014 0412  ServeRAID M5110e SAS/SATA Controller
 		1028 1f2d  PERC H810 Adapter
 		1028 1f30  PERC H710 Embedded
@@ -334,6 +336,7 @@
 		1028 1f35  PERC H710 Adapter
 		1028 1f37  PERC H710 Mini (for blades)
 		1028 1f38  PERC H710 Mini (for monolithics)
+		15d9 0690  LSI MegaRAID ROMB
 		8086 3510  RMS25PB080 RAID Controller
 		8086 3513  RMS25CB080 RAID Controller
 	005c  SAS1064A PCI-X Fusion-MPT SAS
@@ -345,6 +348,11 @@
 		1028 1f48  PERC H730P Mini (for blades)
 		1028 1f49  PERC H730 Mini
 		1028 1f4a  PERC H730 Mini (for blades)
+		1028 1f4d  PERC FS33xS
+		1028 1f4f  PERC H730P Slim
+		1028 1f54  PERC FS33xD
+		17aa 1052  ThinkServer RAID 720i
+		17aa 1053  ThinkServer RAID 720ix
 	005e  SAS1066 PCI-X Fusion-MPT SAS
 	005f  MegaRAID SAS-3 3008 [Fury]
 		1028 1f44  PERC H330 Adapter
@@ -414,8 +422,11 @@
 		1137 0073  2008 ROMB
 		1137 00b0  UCSC RAID SAS 2008M-8i
 		1137 00b1  UCSC RAID SAS 2008M-8i
+		1137 00c2  UCS E-Series Double Wide
+		1137 00c3  UCS E-Series Single Wide
 		15d9 0400  Supermicro SMC2008-iMR
 		1734 1177  RAID Ctrl SAS 6G 0/1 (D2607)
+		17aa 1051  ThinkServer RAID 510i
 		8086 350d  RMS2AF040 RAID Controller
 		8086 9240  RAID Controller RS2WC080
 		8086 9241  RAID Controller RS2WC040
@@ -561,6 +572,7 @@
 		1028 0533  PowerEdge Expandable RAID Controller 4/QC
 		8086 0520  MegaRAID RAID Controller SRCU41L
 		8086 0523  MegaRAID RAID Controller SRCS16
+	3050  SAS2008 PCI-Express Fusion-MPT SAS-2
 	6001  DX1 Multiformat Broadcast HD/SD Encoder/Decoder
 1001  Kolter Electronic
 	0010  PCI 1616 Measurement card with 32 digital I/O lines
@@ -578,22 +590,27 @@
 	1305  Kaveri
 	1306  Kaveri
 	1307  Kaveri
-	1309  Kaveri
-	130a  Kaveri
-	130b  Kaveri
-	130c  Kaveri
-	130d  Kaveri
-	130e  Kaveri
-	130f  Kaveri
+	1308  Kaveri HDMI/DP Audio Controller
+	1309  Kaveri [Radeon R6/R7 Graphics]
+	130a  Kaveri [Radeon R6 Graphics]
+	130b  Kaveri [Radeon R4 Graphics]
+	130c  Kaveri [Radeon R7 Graphics]
+	130d  Kaveri [Radeon R6 Graphics]
+	130e  Kaveri [Radeon R5 Graphics]
+	130f  Kaveri [Radeon R7 Graphics]
 	1310  Kaveri
 	1311  Kaveri
-	1313  Kaveri
+	1312  Kaveri
+	1313  Kaveri [Radeon R7 Graphics]
 	1314  Wrestler HDMI Audio
 		174b 1001  PURE Fusion Mini
-	1315  Kaveri
-	1316  Kaveri
-	131b  Kaveri
-	131c  Kaveri
+	1315  Kaveri [Radeon R5 Graphics]
+	1316  Kaveri [Radeon R5 Graphics]
+	1317  Kaveri
+	1318  Kaveri [Radeon R5 Graphics]
+	131b  Kaveri [Radeon R4 Graphics]
+	131c  Kaveri [Radeon R7 Graphics]
+	131d  Kaveri [Radeon R6 Graphics]
 	1714  BeaverCreek HDMI Audio [Radeon HD 6500D and 6400G-6600G series]
 		103c 168b  ProBook 4535s
 	3150  RV380/M24 [Mobility Radeon X600]
@@ -1016,7 +1033,7 @@
 	4c54  264LT [Mach64 LT]
 	4c57  RV200/M7 [Mobility Radeon 7500]
 		1014 0517  ThinkPad T30
-		1014 0530  ThinkPad T42 2373-4WU
+		1014 0530  ThinkPad T4x Series
 		1028 00e6  Radeon Mobility M7 LW (Dell Inspiron 8100)
 		1028 012a  Latitude C640
 		1043 1622  Mobility Radeon M7 (L3C/S)
@@ -1419,15 +1436,23 @@
 		148c 2117  Bravo X700 (Secondary)
 	5f57  R423 [Radeon X800 XT]
 	6600  Mars [Radeon HD 8670A/8670M/8750M]
+		103c 1952  ProBook 455 G1
 	6601  Mars [Radeon HD 8730M]
 		103c 2100  FirePro M4100
 	6602  Mars
 	6603  Mars
-	6604  Mars [Radeon R7 M265]
-	6605  Mars [Radeon R7 M260]
+	6604  Opal XT [Radeon R7 M265]
+	6605  Opal PRO [Radeon R7 M260]
 	6606  Mars XTX [Radeon HD 8790M]
-	6607  Mars LE [Radeon HD 8530M]
+	6607  Mars LE [Radeon HD 8530M / R5 M240]
 	6610  Oland XT [Radeon HD 8670 / R7 250]
+		1019 0030  Radeon HD 8670
+		1028 2120  Radeon R7 250
+		1028 2322  Radeon R7 250
+		1462 2910  Radeon HD 8670
+		1462 2911  Radeon HD 8670
+		1642 3c81  Radeon HD 8670
+		1642 3c91  Radeon HD 8670
 	6611  Oland [Radeon HD 8570 / R7 240 OEM]
 		1028 210b  Radeon R5 240 OEM
 		174b 4248  Radeon R7 240 OEM
@@ -1434,6 +1459,7 @@
 		174b a240  Radeon R7 240 OEM
 		1b0a 90d3  Radeon R7 240 OEM
 	6613  Oland PRO [Radeon R7 240]
+		1682 7240  R7 240 2048 MB
 	6620  Mars
 	6621  Mars PRO
 	6623  Mars
@@ -1440,7 +1466,9 @@
 	6631  Oland
 	6640  Saturn XT [FirePro M6100]
 	6641  Saturn PRO [Radeon HD 8930M]
-	6649  Bonaire
+	6646  Bonaire XT [Radeon R9 M280X]
+	6647  Bonaire PRO [Radeon R9 M270X]
+	6649  Bonaire [FirePro W5100]
 	6650  Bonaire
 	6651  Bonaire
 	6658  Bonaire XTX [Radeon R7 260X]
@@ -1460,10 +1488,10 @@
 	6660  Sun XT [Radeon HD 8670A/8670M/8690M]
 	6663  Sun PRO [Radeon HD 8570A/8570M]
 		1025 0846  Radeon HD 8570A
-	6664  Jet XT [Radeon R5 M200 Series]
-	6665  Jet PRO [Radeon R5 M200 Series]
-	6667  Jet ULT [Radeon R5 M200 Series]
-	666f  Sun LE [Radeon HD 8550M]
+	6664  Jet XT [Radeon R5 M240]
+	6665  Jet PRO [Radeon R5 M230]
+	6667  Jet ULT [Radeon R5 M230]
+	666f  Sun LE [Radeon HD 8550M / R5 M230]
 	6670  Hainan
 	6704  Cayman PRO GL [FirePro V7900]
 	6707  Cayman LE GL [FirePro V5900]
@@ -1703,6 +1731,7 @@
 		1b0a 909e  Radeon HD 6570
 		1b0a 90b5  Radeon HD 7570
 		1b0a 90b6  Radeon HD 7570
+	675b  Turks [Radeon HD 7600 Series]
 	675d  Turks PRO [Radeon HD 7570]
 	675f  Turks LE [Radeon HD 5570/6510/7510/8510]
 		148c 6510  Radeon HD 6510
@@ -1954,7 +1983,7 @@
 	6790  Tahiti
 	6791  Tahiti
 	6792  Tahiti
-	6798  Tahiti XT [Radeon HD 7970/R9 280X]
+	6798  Tahiti XT [Radeon HD 7970/8970 OEM / R9 280X]
 		1002 3000  Tahiti XT2 [Radeon HD 7970 GHz Edition]
 		1002 3001  Tahiti XTL [Radeon R9 280X]
 		1002 4000  Radeon HD 8970 OEM
@@ -1969,6 +1998,7 @@
 		1043 9999  ARES II
 		1092 3000  Tahiti XT2 [Radeon HD 7970 GHz Edition]
 		1458 2261  Tahiti XT2 [Radeon HD 7970 GHz Edition OC]
+		1462 2774  MSI R7970 TF 3GD5/OC BE
 		1682 3211  Double D HD 7970 Black Edition
 # FX-797A-TNBC
 		1682 3213  HD 7970 Black Edition
@@ -1978,7 +2008,7 @@
 		1787 2317  Radeon HD 7990
 		1787 3000  Tahiti XT2 [Radeon HD 7970 GHz Edition]
 	6799  New Zealand [Radeon HD 7900 Series]
-	679a  Tahiti PRO [Radeon HD 7950]
+	679a  Tahiti PRO [Radeon HD 7950/8950 OEM / R9 280]
 		1002 0b01  Radeon HD 8950 OEM
 		1002 3000  Tahiti PRO2 [Radeon HD 7950 Boost]
 		1462 3000  Radeon HD 8950 OEM
@@ -1989,8 +2019,8 @@
 		148c 8990  Radeon HD 8990 OEM
 	679e  Tahiti LE [Radeon HD 7870 XT]
 	679f  Tahiti
-	67a0  Hawaii XT GL
-	67a1  Hawaii GL
+	67a0  Hawaii XT GL [FirePro W9100]
+	67a1  Hawaii PRO GL [FirePro W8100]
 	67a2  Hawaii GL
 	67a8  Hawaii
 	67a9  Hawaii
@@ -1997,14 +2027,15 @@
 	67aa  Hawaii
 	67b0  Hawaii XT [Radeon R9 290X]
 	67b1  Hawaii PRO [Radeon R9 290]
-	67b9  Vesuvius
+	67b9  Vesuvius [Radeon R9 295X2]
 	67be  Hawaii LE
 	6800  Wimbledon XT [Radeon HD 7970M]
 		1002 0124  Radeon HD 7970M
 		8086 2110  Radeon HD 7970M
 		8086 2111  Radeon HD 7970M
-	6801  Neptune [Radeon HD 8970M]
+	6801  Neptune XT [Radeon HD 8970M]
 		1002 0124  Radeon HD 8970M
+		1462 1117  Radeon R9 M290X
 		8086 2110  Radeon HD 8970M
 		8086 2111  Radeon HD 8970M
 	6802  Wimbledon
@@ -2022,12 +2053,15 @@
 		174b 8b04  Radeon HD 8860
 	6819  Pitcairn PRO [Radeon HD 7850]
 		174b e221  Radeon HD 7850 2GB GDDR5 DVI-I/DVI-D/HDMI/DP
-	6820  Venus XTX [Radeon HD 8890M]
+	6820  Venus XTX [Radeon HD 8890M / R9 M275X]
 		103c 1851  Radeon HD 7750M
-	6821  Venus XT [Radeon HD 8870M]
+		17aa 3801  Radeon R9 M275
+	6821  Venus XT [Radeon HD 8870M / R9 M270X]
 		1002 031e  FirePro SX4000
+		1028 05cc  FirePro M5100
+		1028 15cc  FirePro M5100
 	6822  Venus PRO [Radeon E8860]
-	6823  Venus PRO [Radeon HD 8850M]
+	6823  Venus PRO [Radeon HD 8850M / R9 M265X]
 	6825  Heathrow XT [Radeon HD 7870M]
 		8086 2111  Chelsea PRO
 	6826  Chelsea LP [Radeon HD 7700M Series]
@@ -2050,11 +2084,14 @@
 	6838  Cape Verde
 	6839  Cape Verde
 	683b  Cape Verde [Radeon HD 7700 Series]
-	683d  Cape Verde XT [Radeon HD 7770 GHz Edition]
+	683d  Cape Verde XT [Radeon HD 7770/8760 / R7 250X]
 		1002 0030  Radeon HD 8760 OEM
 		1019 0030  Radeon HD 8760 OEM
 		103c 6890  Radeon HD 8760 OEM
-	683f  Cape Verde PRO [Radeon HD 7750]
+		1043 8760  Radeon HD 8760 OEM
+		1462 2710  R7770-PMD1GD5
+		174b 8304  Radeon HD 8760 OEM
+	683f  Cape Verde PRO [Radeon HD 7750 / R7 250E]
 	6840  Thames [Radeon HD 7500M/7600M Series]
 		1025 050e  Radeon HD 7670M
 		1025 050f  Radeon HD 7670M
@@ -2601,7 +2638,7 @@
 		17af 3012  Radeon HD 5490
 		17af 3013  Radeon HD 5470
 		17af 3014  Radeon HD 6350
-	68fa  Cedar [Radeon HD 7350/8350]
+	68fa  Cedar [Radeon HD 7350/8350 / R5 220]
 		1019 0019  Radeon HD 7350
 		1019 0021  Radeon HD 7350
 		1019 0022  Radeon HD 7350
@@ -2615,6 +2652,9 @@
 		1462 2495  Radeon HD 7350
 		1462 b490  Radeon HD 7350
 		1642 3985  Radeon HD 7350
+		174b 3510  Radeon HD 8350
+		174b 3521  Radeon R5 220
+		174b 3522  Radeon R5 220
 		174b 7350  Radeon HD 7350
 		174b 8153  Radeon HD 8350
 		174b e127  Radeon HD 7350
@@ -2622,7 +2662,15 @@
 		174b e180  Radeon HD 7350
 		17af 3015  Radeon HD 7350
 	68fe  Cedar LE
+	6900  Topaz XT [Radeon R7 M260/M265]
+		1028 0640  Radeon R7 M265
+		1179 f934  Radeon R7 M260
+	6901  Topaz PRO [Radeon R5 M255]
 	6920  Tonga
+	6921  Amethyst XT [Radeon R9 M295X]
+	692b  Tonga XT GL [FirePro W8100]
+	692f  Tonga XT GL [FirePro W8100]
+	6939  Tonga PRO [Radeon R9 285]
 	700f  RS100 AGP Bridge
 	7010  RS200/RS250 AGP Bridge
 	7100  R520 [Radeon X1800 XT]
@@ -2673,6 +2721,7 @@
 		103c 30c1  6910p
 	718a  RV516/M64 [Mobility Radeon X2300]
 	718b  RV516/M62 [Mobility Radeon X1350]
+		1071 8209  Medion MIM 2240 Notebook PC [MD98100]
 	718c  RV516/M62-CSP64 [Mobility Radeon X1350]
 	718d  RV516/M64-CSP128 [Mobility Radeon X1450]
 	7193  RV516 [Radeon X1550 Series]
@@ -2977,15 +3026,15 @@
 	9808  Wrestler [Radeon HD 7340]
 	9809  Wrestler [Radeon HD 7310]
 	980a  Wrestler [Radeon HD 7290]
-	9830  Kabini [Radeon HD 8400]
+	9830  Kabini [Radeon HD 8400 / R3 Series]
 	9831  Kabini [Radeon HD 8400E]
 	9832  Kabini [Radeon HD 8330]
 	9833  Kabini [Radeon HD 8330E]
 	9834  Kabini [Radeon HD 8210]
 	9835  Kabini [Radeon HD 8310E]
-	9836  Kabini [Radeon HD 8280]
+	9836  Kabini [Radeon HD 8280 / R3 Series]
 	9837  Kabini [Radeon HD 8280E]
-	9838  Kabini [Radeon HD 8240]
+	9838  Kabini [Radeon HD 8240 / R3 Series]
 	9839  Kabini [Radeon HD 8180]
 	983a  Kabini
 	983b  Kabini
@@ -2993,13 +3042,14 @@
 	983d  Temash [Radeon HD 8250/8280G]
 	983e  Kabini
 	983f  Kabini
-	9850  Mullins [Radeon APU A6-6200 with R3 Graphics]
-	9851  Mullins [Radeon APU A4-6000 with R2 Graphics]
-	9852  Mullins [Radeon APU A4-6000 with R2 Graphics]
-	9853  Mullins [Radeon APU E2-4000 with R2 Graphics]
-	9854  Mullins [Radeon APU E2-3700 with R2 Graphics]
-	9855  Mullins [Radeon APU XX-2450M with R3 Graphics]
-	9856  Mullins [Radeon APU XX-2200M with R2 Graphics]
+	9840  Kabini HDMI/DP Audio
+	9850  Mullins [Radeon R3 Graphics]
+	9851  Mullins [Radeon R4/R5 Graphics]
+	9852  Mullins [Radeon R2 Graphics]
+	9853  Mullins [Radeon R2 Graphics]
+	9854  Mullins [Radeon R3 Graphics]
+	9855  Mullins [Radeon R6 Graphics]
+	9856  Mullins [Radeon R2 Graphics]
 	9857  Mullins [Radeon APU XX-2200M with R2 Graphics]
 	9858  Mullins
 	9859  Mullins
@@ -3009,6 +3059,7 @@
 	985d  Mullins
 	985e  Mullins
 	985f  Mullins
+	9900  Trinity [Radeon HD 7660G]
 # AMD A10-5800K CPU
 	9901  Trinity [Radeon HD 7660D]
 	9902  Trinity HDMI Audio Controller
@@ -3214,7 +3265,7 @@
 		2646 0001  KNE100TX Fast Ethernet
 	000a  21230 Video Codec
 	000d  PBXGB [TGA2]
-	000f  PCI-to-PDQ Interface Chip [PFI]
+	000f  DEFPA FDDI PCI-to-PDQ Interface Chip [PFI]
 		1011 def1  FDDI controller (DEFPA)
 		103c def1  FDDI controller (3X-DEFPA)
 	0014  DECchip 21041 [Tulip Pass 3]
@@ -3247,6 +3298,7 @@
 		1186 1101  DFE-500TX Fast Ethernet
 		1186 1102  DFE-500TX Fast Ethernet
 		1186 1112  DFE-570TX Quad Fast Ethernet
+		11f0 4235  21143 [FASTLine-II UTP 10/100]
 		1259 2800  AT-2800Tx Fast Ethernet
 		1266 0004  Eagle Fast EtherMAX
 		12af 0019  NetFlyer Cardbus Fast Ethernet
@@ -3302,6 +3354,7 @@
 	00ac  GD 5436 [Alpine]
 	00b0  GD 5440
 	00b8  GD 5446
+		1af4 1100  QEMU Virtual Machine
 	00bc  GD 5480
 		1013 00bc  CL-GD5480
 	00d0  GD 5462
@@ -3487,6 +3540,10 @@
 		1014 0475  PCIe3 x16 SAS RAID Internal Adapter 6Gb (57EC)
 		1014 0499  PCIe3 x16 Cache SAS RAID Internal Adapter 6Gb (57ED)
 		1014 049a  PCIe3 x16 SAS RAID Internal Adapter 6Gb (57EE)
+		1014 04c7  PCIe3 x 8 Cache SAS RAID Internal Adapter 6GB(2CCA)
+		1014 04c8  PCIe3 x 8 Cache SAS RAID Internal Adapter 6GB(2CD2)
+		1014 0c49  PCIe3 x 8 Cache SAS RAID Internal Adapter 6GB(2CCD)
+	044b  GenWQE Accelerator Adapter
 	04aa  Flash Adapter 90 (PCIe2 0.9TB)
 	3022  QLA3022 Network Adapter
 	4022  QLA3022 Network Adapter
@@ -3547,6 +3604,7 @@
 		1028 0493  PowerEdge RAID Controller 3/DC
 		1028 0511  PowerEdge Cost Effective RAID Controller ATA100/4Ch
 		103c 60e7  NetRAID-1M
+		103c 60e8  NetRaid 2M [AMI MegaRaid 493]
 	9010  MegaRAID 428 Ultra RAID Controller
 	9030  EIDE Controller
 	9031  EIDE Controller
@@ -3589,6 +3647,15 @@
 	1417  Family 15h (Models 10h-1fh) Processor Root Port
 	1418  Family 15h (Models 10h-1fh) Processor Root Port
 	1419  Family 15h (Models 10h-1fh) I/O Memory Management Unit
+	141a  Family 15h (Models 30h-3fh) Processor Function 0
+	141b  Family 15h (Models 30h-3fh) Processor Function 1
+	141c  Family 15h (Models 30h-3fh) Processor Function 2
+	141d  Family 15h (Models 30h-3fh) Processor Function 3
+	141e  Family 15h (Models 30h-3fh) Processor Function 4
+	141f  Family 15h (Models 30h-3fh) Processor Function 5
+	1422  Family 15h (Models 30h-3fh) Processor Root Complex
+	1423  Family 15h (Models 30h-3fh) I/O Memory Management Unit
+	1426  Family 15h (Models 30h-3fh) Processor Root Port
 	1439  Family 16h Processor Functions 5:1
 	1510  Family 14h Processor Root Complex
 		174b 1001  PURE Fusion Mini
@@ -3655,6 +3722,7 @@
 		1668 0299  ActionLink Home Network Adapter
 	2003  Am 1771 MBW [Alchemy]
 	2020  53c974 [PCscsi]
+		1af4 1100  QEMU Virtual Machine
 	2040  79c974
 	2080  CS5536 [Geode companion] Host Bridge
 	2081  Geode LX Video
@@ -4111,6 +4179,7 @@
 		1028 028d  PowerEdge T410 MGA G200eW WPCM450
 		1028 029c  PowerEdge M710 MGA G200eW WPCM450
 		1028 02a4  PowerEdge T310 MGA G200eW WPCM450
+		15d9 0624  X9SCM-F Motherboard
 		15d9 a811  H8DGU
 	0533  MGA G200EH
 		103c 3381  iLO4
@@ -4142,6 +4211,8 @@
 		110a 001e  MGA-G100 AGP
 	2007  MGA Mistral
 	2527  Millennium G550
+# PCI\VEN_102B&DEV_2527&SUBSYS_0F42102B&REV_01
+		102b 0f42  Matrox G550 Low Profile PCI
 		102b 0f83  Millennium G550
 		102b 0f84  Millennium G550 Dual Head DDR 32Mb
 		102b 1e41  Millennium G550
@@ -4226,10 +4297,15 @@
 	47c2  Solios COM port
 	4949  Radient frame grabber family
 		102b 0010  Radient eCL (Single-full) frame grabber
+		102b 0011  Radient eCLV (Single-full) frame grabber
 		102b 0020  Radient eCL (Dual-base) frame grabber
 		102b 0030  Radient eCL (Dual-full) frame grabber
 		102b 0040  Radient eCL (Quad-base) frame grabber
 		102b 0050  Radient eCL (Golden) frame grabber
+		102b 1010  Radient eV-CXP (quad CXP-6) frame grabber
+		102b 1015  Radient eV-CXP (dual CXP-6) frame grabber
+		102b 1020  Radient eV-CXP (quad CXP-3) frame grabber
+		102b 1050  Radient eV-CXP (Golden) frame grabber
 	4cdc  Morphis JPEG2000 accelerator
 	4f54  Morphis (e)Quad frame grabber
 	4fc5  Morphis (e)Dual frame grabber
@@ -4358,6 +4434,7 @@
 		1028 04b2  Vostro 3350
 		1028 04da  Vostro 3750
 		1043 8413  P8P67 Deluxe Motherboard
+		1af4 1100  QEMU Virtual Machine
 		1b96 0001  USB 3.0 PCIe Card
 	01e7  uPD72873 [Firewarden] IEEE1394a OHCI 1.1 Link/2-port PHY Controller
 	01f2  uPD72874 [Firewarden] IEEE1394a OHCI 1.1 Link/3-port PHY Controller
@@ -4378,6 +4455,7 @@
 	000a  PCI-to-PCI bridge
 	0016  SiS961/2/3 SMBus controller
 	0018  SiS85C503/5513 (LPC Bridge)
+	0163  163 802.11b/g Wireless LAN Adapter
 	0180  RAID bus controller 180 SATA/PATA  [SiS]
 	0181  SATA
 	0182  182 SATA/RAID Controller
@@ -4618,6 +4696,25 @@
 	3238  Smart Array E200i (SAS Controller)
 		103c 3211  Smart Array E200i
 		103c 3212  Smart Array E200
+	3239  Smart Array Gen9 Controllers
+		103c 21bd  Smart Array
+		103c 21be  Smart Array
+		103c 21bf  Smart Array
+		103c 21c0  Smart Array
+		103c 21c1  Smart Array
+		103c 21c2  Smart Array
+		103c 21c3  Smart Array
+		103c 21c4  Smart Array
+		103c 21c5  Smart Array
+		103c 21c6  Smart Array
+		103c 21c7  Smart Array
+		103c 21c8  Smart Array
+		103c 21c9  Smart Array
+		103c 21ca  Smart Array
+		103c 21cb  Smart Array
+		103c 21cc  Smart Array
+		103c 21cd  Smart Array
+		103c 21ce  Smart Array
 	323a  Smart Array G6 controllers
 		103c 3241  Smart Array P212
 		103c 3243  Smart Array P410
@@ -4675,7 +4772,6 @@
 	4031  zx2 I/O Controller
 	4037  PCIe Local Bus Adapter
 	403b  PCIe Root Port
-	60e8  NetRAID-2M : ZX1/M (OEM AMI MegaRAID 493)
 103e  Solliday Engineering
 103f  Synopsys/Logic Modeling Group
 1040  Accelgraphics Inc.
@@ -4687,6 +4783,7 @@
 	3010  Samurai_1
 	3020  Samurai_IDE
 1043  ASUSTeK Computer Inc.
+	0464  Radeon R9 270x GPU
 	0675  ISDNLink P-IN100-ST-D
 		0675 1704  ISDN Adapter (PCI Bus, D, C)
 		0675 1707  ISDN Adapter (PCI Bus, DV, W)
@@ -4779,6 +4876,8 @@
 	0009  STG 1764X
 	0010  STG4000 [3D Prophet Kyro Series]
 		104a 4018  ST PowerVR Kyro (64MB AGP TVO)
+# 64MB AGP
+		1681 0010  PowerVR Kyro II [3D Prophet 4500]
 		1681 0028  3D Prophet 4000XT
 		1681 c010  3D Prophet 4500 TV-Out
 		1681 c069  3D Prophet 4000XT
@@ -4868,6 +4967,7 @@
 	8022  TSB43AB22 IEEE-1394a-2000 Controller (PHY/Link) [iOHCI-Lynx]
 		104c 8023  TSB43AB22/A IEEE-1394a-2000 Controller (PHY/Link)
 	8023  TSB43AB22A IEEE-1394a-2000 Controller (PHY/Link) [iOHCI-Lynx]
+		1028 0168  Precision Workstation 670 Mainboard
 		103c 088c  NC8000 laptop
 		1043 808b  K8N4/A8N Series Mainboard
 		1043 815b  P5W DH Deluxe Motherboard
@@ -5138,6 +5238,7 @@
 	3020  FIVE-EX based Fibre Channel to PCIe HBA
 	302c  M001 PCI Express Switch Upstream Port
 	302d  M001 PCI Express Switch Downstream Port
+	3070  Hitachi FIVE-FX Fibre Channel to PCIe HBA
 	3505  SH7751 PCI Controller (PCIC)
 	350e  SH7751R PCI Controller (PCIC)
 1055  Efar Microsystems
@@ -5465,6 +5566,7 @@
 	003b  UniNorth/Intrepid ATA/100
 	003e  KeyLargo/Intrepid Mac I/O
 	003f  KeyLargo/Intrepid USB
+		1af4 1100  QEMU Virtual Machine
 	0040  K2 KeyLargo USB
 	0041  K2 KeyLargo Mac/IO
 	0042  K2 FireWire
@@ -5569,6 +5671,7 @@
 		103c 12d7  4Gb Fibre Channel [AB379A]
 		103c 12dd  4Gb Fibre Channel [AB429A]
 	2432  ISP2432-based 4Gb Fibre Channel to PCI Express HBA
+		103c 7040  FC1142SR 4Gb 1-port PCIe Fibre Channel Host Bus Adapter [HPAE311A]
 	2532  ISP2532-based 8Gb Fibre Channel to PCI Express HBA
 		103c 3262  StorageWorks 81Q
 		1077 0167  QME2572 Dual Port FC8 HBA Mezzanine
@@ -5670,7 +5773,7 @@
 108d  Olicom
 	0001  Token-Ring 16/4 PCI Adapter (3136/3137)
 	0002  16/4 Token Ring
-	0004  RapidFire 3139 Token-Ring 16/4 PCI Adapter
+	0004  RapidFire OC-3139/3140 Token-Ring 16/4 PCI Adapter
 		108d 0004  OC-3139/3140 RapidFire Token-Ring 16/4 Adapter
 	0005  GoCard 3250 Token-Ring 16/4 CardBus PC Card
 	0006  OC-3530 RapidFire Token-Ring 100
